---
title: "List past Zoom meetings"
description: "The recorded Zoom meetings hosted by the Zoom team's members, newest first, for days (default 30) or from/to (YYYY-MM-DD, up to a year): uuid, topic, date,…"
canonical_url: https://docs.markdrop.in/api/zoom/list-past-zoom-meetings
last_updated: 2026-11-20
site: "Markdrop Docs"
index: https://docs.markdrop.in/llms.txt
---

# List past Zoom meetings

`GET https://api.markdrop.in/api/v1/zoom/recordings`

The recorded Zoom meetings hosted by the Zoom team's members, newest first, for `days` (default 30) or `from`/`to` (YYYY-MM-DD, up to a year): `uuid`, `topic`, `date`, `time`, `duration_min`, `host`, whether there's a `transcript` (or `captions`), where its transcript would come from (`source`: `transcript`, `captions`, `transcribe` or null), whether it's `imported` (with its `slug`), its kept `recording`, and `can_add_recording` (import it again to add its recording). `not_in_zoom`: team members Zoom doesn't know by their email. Admins, owners and the team's leads.

- **Authentication:** API token required: `Authorization: Bearer mdk_…`.
- **Rate limit:** 20 per minute per IP address.
- **Guide:** [Zoom](https://docs.markdrop.in/integrations/zoom)

## Query parameters

- `workspace_id` (string, required): The workspace's id, from the address of its settings page (`markdrop.in/settings/workspaces/<workspace-id>`) or from [List workspaces](https://docs.markdrop.in/api/workspaces/list-workspaces). Matches `^[0-9a-f]{24}$`.
- `days` (integer): From 1 to 366. Default `30`.
- `from` (string): Up to 10 characters.
- `to` (string): Up to 10 characters.

## Responses

- `200`: OK.
- `401`: No token, or the token is revoked or mistyped.
- `422`: The request didn't validate. `detail` lists each problem, with where it is (`loc`) and why (`msg`).
- `429`: Too many requests from your IP address. Wait the seconds in `Retry-After`.

## Examples

**curl**

```bash
curl 'https://api.markdrop.in/api/v1/zoom/recordings?workspace_id=WORKSPACE_ID' \
  -H "Authorization: Bearer $MARKDROP_TOKEN"
```

**JavaScript**

```javascript
const res = await fetch("https://api.markdrop.in/api/v1/zoom/recordings?workspace_id=WORKSPACE_ID", {
  headers: {
    Authorization: `Bearer ${process.env.MARKDROP_TOKEN}`,
  },
});
const data = await res.json();
```

**Python**

```python
import os

import requests

r = requests.get(
    "https://api.markdrop.in/api/v1/zoom/recordings?workspace_id=WORKSPACE_ID",
    headers={"Authorization": f"Bearer {os.environ['MARKDROP_TOKEN']}"},
)
r.raise_for_status()
print(r.json())
```
